Package ch.qos.logback.core.joran.spi

# Class NoAutoStartUtil

java.lang.Object
ch.qos.logback.core.joran.spi.NoAutoStartUtil

public class NoAutoStartUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`NoAutoStartUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`notMarkedWithNoAutoStart(Object o)`
Returns true if the class of the object 'o' passed as parameter is *not* marked with the NoAutoStart annotation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NoAutoStartUtil

public NoAutoStartUtil()

## Method Details

### notMarkedWithNoAutoStart

public static boolean notMarkedWithNoAutoStart(Object o)
Returns true if the class of the object 'o' passed as parameter is *not* marked with the NoAutoStart annotation. Return true otherwise.

Parameters:
  `o` -
Returns:
  true for classes not marked with the NoAutoStart annotation